Bug 2008672

Summary: F35FailsToInstall: ceph-base, ceph-common, ceph-mon, ceph-osd, ceph-test
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: cephAssignee: Kaleb KEITHLEY <kkeithle>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: adeza, branto, danmick, david, fedora, i, josef, kkeithle, loic, ramkrsna, steve
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ceph-16.2.6-2.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-04 00:15:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1927313    

Description Miro Hrončok 2021-09-28 20:14:03 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (ceph) Fails To Install in Fedora 35:

can't install ceph-base:
  - nothing provides librocksdb.so.6.15()(64bit) needed by ceph-base-2:16.2.6-1.fc35.x86_64
  
can't install ceph-common:
  - nothing provides librocksdb.so.6.15()(64bit) needed by ceph-common-2:16.2.6-1.fc35.x86_64
  
can't install ceph-mon:
  - nothing provides librocksdb.so.6.15()(64bit) needed by ceph-mon-2:16.2.6-1.fc35.x86_64
  
can't install ceph-osd:
  - nothing provides librocksdb.so.6.15()(64bit) needed by ceph-osd-2:16.2.6-1.fc35.x86_64
  
can't install ceph-test:
  - nothing provides librocksdb.so.6.15()(64bit) needed by ceph-test-2:16.2.6-1.fc35.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Update System 2021-09-29 11:33:51 UTC
FEDORA-2021-e27e104893 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e27e104893

Comment 2 Fedora Update System 2021-09-30 01:43:20 UTC
FEDORA-2021-e27e104893 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e27e104893`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e27e104893

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-10-04 00:15:24 UTC
FEDORA-2021-e27e104893 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.